import { Marks } from './Marks';
import { AxisLeft } from './AxisLeft';
import { ZeroLine } from './ZeroLine';

export const ContinentChart = ({
  data,
  xScale,
  xValue,
  xLabelFormat,
  yScale,
  yValue,
  yLabelOffset,
  innerWidth,
  innerHeight,
  y,
  title,
}) => (
  <g transform={`translate(0,${y})`}>
    <AxisLeft yScale={yScale} yLabelOffset={yLabelOffset} />
    <Marks
      data={data}
      xScale={xScale}
      yScale={yScale}
      xValue={xValue}
      yValue={yValue}
      xLabelFormat={xLabelFormat}
    />
    <ZeroLine innerHeight={innerHeight} />
    <text
      className="x-title"
      transform={`translate(${innerWidth + yLabelOffset},${0})`}
      dy={innerHeight / 1.6}
    >
      {title}
    </text>
  </g>
);
